@import '../../widget/scss/variables.scss';

.arrow {
  position: relative;
  width: .7em;
  height: .7em;
  display: inline-block;
  cursor: pointer;

  &:before,
  &:after {
    content:"";
    position: absolute;
    background: $leading-color;
    border-radius: 0.2rem;
    display: block;

    &:hover {
      background: #ccc;
    }
  }

  &.left,
  &.right {
    width: .5em;
    &:before {
      top: 55%;
    }
    &:after {
      bottom: 55%;
    }
    &:before,
    &:after {
      left: -5%;
      height: 25%;
      width: 110%;
    }
  }

  &.up,
  &.down {
    height: .5em;
    &:before {
      left: 55%;
    }
    &:after {
      right: 55%;
    }
    &:before,
    &:after {
      top: -5%;
      height: 110%;
      width: 25%;
    }
  }

  &.left {
    &:before,
    &:after { transform: rotate(45deg); }
    &:after { transform: rotate(-45deg); }
  }
  &.right {
    &:before,
    &:after { transform: rotate(-45deg); }
    &:after { transform: rotate(45deg); }
  }
  &.up {
    &:before,
    &:after { transform: rotate(-45deg); }
    &:after { transform: rotate(45deg); }
  }
  &.down {
    &:before,
    &:after { transform: rotate(45deg); }
    &:after { transform: rotate(-45deg); }
  }
}


